#!/bin/sh

name="fenris"
title="fenris"
package="fenris"
version="0.07_m"
build="1"
noarch="n"
build_info="Standard build."

info="Advanced code analyzer."
desc="Fenris is a unique combination of a smart debugger, multipurpose
run-time tracer, stateful program analyzer and partial GCC
decompiler. Fenris is intended to simplify bug tracking, security
audits and code / algorithm / protocol analysis - providing
valuable structural information about internal constructions,
execution path, memory operations, I/O, conditional expressions
and much more. Fenris does not rely on libbfd for debugging, so
you can work with tweaked binaries."
category="development/debugger"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="doc/{ChangeLog,LICENSE,README,TODO,*.txt}"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://razor.bindview.com/tools/fenris/$name.tgz

apply_patch mf

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_make
do_install

make_docs

make_package main

clean_up

# $Log: fenris.builder,v $
# Revision 1.3  2003/02/11 16:19:14  swiergot
# - Build 1.
#
# Revision 1.2  2003/02/10 14:03:23  swiergot
# - Fixed version.
#
# Revision 1.1  2003/02/10 13:43:26  swiergot
# - Initial release.
# - Version 0.07m.
#
